# Method: jwt.insert

- [HTTP request](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#body.request_body)
- [Response body](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#body.response_body)
  - [JSON representation](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#body.JwtInsertResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#body.aspect)
- [Resources](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#Resources)
  - [JSON representation](https://developers.google.com/wallet/reference/rest/v1/jwt/insert#Resources.SCHEMA_REPRESENTATION)

Inserts the resources in the JWT.

### HTTP request

`POST https://walletobjects.googleapis.com/walletobjects/v1/jwt`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/wallet/reference/rest/v1/jwt#JwtResource`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "saveUri": string, "resources": { object (`https://developers.google.com/wallet/reference/rest/v1/jwt/insert#Resources`) } } ``` |

| Fields ||
|---|---|
| `saveUri` | `string` A URI that, when opened, will allow the end user to save the object(s) identified in the JWT to their Google account. |
| `resources` | ``object (`https://developers.google.com/wallet/reference/rest/v1/jwt/insert#Resources`)`` Data that corresponds to the ids of the provided classes and objects in the JWT. resources will only include the non-empty arrays (i.e. if the JWT only includes eventTicketObjects, then that is the only field that will be present in resources). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/wallet_object.issuer`

## Resources

| JSON representation |
|---|
| ``` { "eventTicketClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/eventticketclass#EventTicketClass`) } ], "eventTicketObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/eventticketobject#EventTicketObject`) } ], "flightClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/flightclass#FlightClass`) } ], "flightObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/flightobject#FlightObject`) } ], "giftCardClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/giftcardclass#GiftCardClass`) } ], "giftCardObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/giftcardobject#GiftCardObject`) } ], "loyaltyClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/loyaltyclass#LoyaltyClass`) } ], "loyaltyObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/loyaltyobject#LoyaltyObject`) } ], "offerClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/offerclass#OfferClass`) } ], "offerObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/offerobject#OfferObject`) } ], "transitClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/transitclass#TransitClass`) } ], "transitObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/transitobject#TransitObject`) } ], "genericClasses": [ { object (`https://developers.google.com/wallet/reference/rest/v1/genericclass#GenericClass`) } ], "genericObjects": [ { object (`https://developers.google.com/wallet/reference/rest/v1/genericobject#GenericObject`) } ] } ``` |

| Fields ||
|---|---|
| `eventTicketClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/eventticketclass#EventTicketClass`)`` A list of event ticket classes. |
| `eventTicketObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/eventticketobject#EventTicketObject`)`` A list of event ticket objects. |
| `flightClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/flightclass#FlightClass`)`` A list of flight classes. |
| `flightObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/flightobject#FlightObject`)`` A list of flight objects. |
| `giftCardClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/giftcardclass#GiftCardClass`)`` A list of gift card classes. |
| `giftCardObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/giftcardobject#GiftCardObject`)`` A list of gift card objects. |
| `loyaltyClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/loyaltyclass#LoyaltyClass`)`` A list of loyalty classes. |
| `loyaltyObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/loyaltyobject#LoyaltyObject`)`` A list of loyalty objects. |
| `offerClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/offerclass#OfferClass`)`` A list of offer classes. |
| `offerObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/offerobject#OfferObject`)`` A list of offer objects. |
| `transitClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/transitclass#TransitClass`)`` A list of transit classes. |
| `transitObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/transitobject#TransitObject`)`` A list of transit objects. |
| `genericClasses[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/genericclass#GenericClass`)`` A list of generic classes. |
| `genericObjects[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/genericobject#GenericObject`)`` A list of generic objects. |